<div class="table-responsive" *ngIf="device.length > 0;else no_data">

  <table class="table org-table" [mfData]="device" [mfRowsOnPage]="paginationOrgInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationOrgInfo.devicesortBy"
    [(mfSortOrder)]="paginationOrgInfo.devicesortOrder">
    <thead>
      <tr>
        <th>
          <mfDefaultSorter by="gwSNO" class="sorter"> Device Id </mfDefaultSorter>
          <!-- <span class="glyphicon glyphicon-filter">&nbsp;</span> -->
        </th>
        <th>
          <mfDefaultSorter by="AssetId" class="sorter">Asset Id</mfDefaultSorter>
        </th>
        <th>
          <mfDefaultSorter by="AssetLastUpdateDate" class="sorter"> Provitioned Date </mfDefaultSorter>
        </th>
        <th>
          <mfDefaultSorter by="Status" class="sorter"> Status</mfDefaultSorter>
        </th>
        <th>
          <mfDefaultSorter by="LatestSyncDate" class="sorter"> Last Active Time</mfDefaultSorter>
        </th>
        <th>
          <mfDefaultSorter by="gwWANIP" class="sorter">WAN IP</mfDefaultSorter>
        </th>
        <th>
          <mfDefaultSorter by="gwRSSI" class="sorter">RSSI</mfDefaultSorter>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let device of mf.data">
        <td>
          <!-- <input type="checkbox" name="" /> -->
          <a href="javascript:void(0);" (click)="editDevice(device)"> {{device.gwSNO}}</a>
        </td>
        <td>
          {{device.AssetId}}
        </td>
        <td>{{device.AssetLastUpdateDate | date :'MM/dd/y HH:mm:ss'}}</td>
        <td>

          <svg class="svg-icon" [ngSwitch]="device.Status">
            <use *ngSwitchCase="1" [attr.xlink:href]="statusSvg[1]"></use>
            <use *ngSwitchCase="true" [attr.xlink:href]="statusSvg[1]"></use>
            <use *ngSwitchCase="0" [attr.xlink:href]="statusSvg[0]"></use>
            <use *ngSwitchCase="false" [attr.xlink:href]="statusSvg[0]"></use>
          </svg>
        </td>
        <td>{{device.LatestSyncDate | date :'MM/dd/y HH:mm:ss'}}</td>
        <td>{{device.gwWANIP}}</td>
        <td>{{device.gwRSSI}}</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="7"></td>
        <!--td>
                <span class="glyphicon glyphicon-edit"></span>
                <span class="glyphicon glyphicon-trash"></span>
            </td-->
      </tr>
    </tfoot>
    <tr>
      <td colspan="7" class="text-right">
        <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
      </td>
    </tr>
  </table>
</div>
<ng-template #no_data>
  <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
    No device exists
  </div>
</ng-template>
